{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container repai-container position-relative" style="margin: 2rem 10% 0 10%">
  {% include "../components/quick_access.html" %}
  <div class="my-repair-title">
    <p>Demande de réparation d'un drone</p>
    {% include "./alerts.html" %}
    <section class="table-info">
      <section id="gernal-info" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3 mb-2">
        <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
          <span class="text-center fw-bold one-ligne-text">Informations générals</span>
          <img
            src="{% static 'assets/icons/arrow.png' %}"
            style="height: 2rem; width: auto; object-fit: contain"
            class="rounded d-block m-0 p-0 revirse"
            alt="icon"
          />
        </div>
        <article>
          {% if repair.name %}
          <div id="article-name">
            <span class="fw-bold">Nom d'article :</span><br>
            <span class="color-gray">{{ repair.name }}</span><br>
          </div>
          {% endif %}
          {% if repair.company %}
          <div id="article-company">
            <span class="fw-bold">Marque :</span><br>
            <span class="color-gray">{{ repair.company.name }}</span><br>
          </div>
          {% endif %}
          <div>
            <span class="fw-bold">Numéro de la demande :</span><br>
            <span class="color-gray">{{ repair.repair_number }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Statut actuelle :</span><br>
            <span class="color-gray">{{ repair.get_franch_phrase }}</span><br>
          </div>
          {% if repair.start_at %}
          <div>
            <span class="fw-bold">Temps total de réparartion :</span><br>
            <span class="color-gray">{{ repair.get_repair_delta }}</span><br>
          </div>
          {% endif %}
          {% if repair.tracking_number %}
          <div>
            <span class="fw-bold">Numéro de suivi :</span><br>
            <span class="color-gray"><span class="fake-link" onclick='window.open("https://www.laposte.fr/outils/suivre-vos-envois?code={{ repair.tracking_number }}&at_campaign=suivi_colis&at_format=mail_colis", "_blank");'>{{ repair.tracking_number }}</span></span><br>
          </div>
          {% endif %}
          {% if request.user.is_superuser %}
          <div>
            <span class="fw-bold">Visibilité :</span><br>
            <span class="color-gray">{{ repair.get_visibility }}</span><br>
          </div>
          {% endif %}{% if repair.status == 9 and repair.refused_reasion %}
          <div>
            <span class="fw-bold">Raison du refus :</span><br>
            <span class="color-gray">{{ repair.refused_reasion }}</span><br>
          </div>
          {% endif %}
        </article>
      </section>
      {% if request.user.is_superuser %}
        <section id="action" class="w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <span class="text-center fw-bold one-ligne-text">Centre d'actions</span>
            <img
              src="{% static 'assets/icons/arrow.png' %}"
              style="height: 2rem; width: auto; object-fit: contain"
              class="rounded d-block m-0 p-0"
              alt="icon"
            />
          </div>
          <article>
            <div>
              <span class="fw-bold">Modifier le statut :</span>
              <form method="POST" class="mt-2">
                <div class="mx-5">
                  {% csrf_token %}
                  <select data-status="{{ repair.status }}" class="form-select form-select mb-2" name="new-status" id="select-satatus"  aria-label=".form-select-lg example" onchange="showDivRefusedReasion(this)">
                    {% for id, status in repair_status.items %}
                      <option value="{{ id }}">{{ status }}</option>
                    {% endfor %}
                  </select>
                </div>
                <div class="repair-inputs mt-2">
                  <div id="div-refused_reasion">
                    <p>Expliquer pourquoi cette demande a été réfusée</p>
                    <textarea name="refused_reasion" id="refused_reasion" class="form-control" cols="3" rows="5">{% if repair.status == 9 %}{{ repair.refused_reasion }}{% endif %}</textarea>
                  </div>
                  <div id="div-first_response">
                    <p> Mettez ici quelques indications tels que le montant estimé, la durée de repartions estimée, etc ... </p>
                      <div class="d-flex flex-column justify-content-center align-content-center gap-2">
                        <div class="d-flex w-100 justify-content-center align-content-center align-items-center gap-2" >
                          <input class="form-control rounded" {% if repair.first_response_amount %} value="{{ repair.first_response_amount }}" {% endif %} type="text" name="first_response-amount" id="first_response-amount" placeholder="Mettez le monant estimé ici">
                          <span style="font-size: 10px;" class="one-ligne-text">( € )</span>
                        </div>
                        <div class="d-flex w-100 justify-content-center align-content-center align-items-center gap-2" >
                          <input class="form-control rounded" {% if repair.first_response_duration %} value="{{ repair.first_response_duration }}" {% endif %} type="text" name="first_response-duration" id="first_response-duration" placeholder="Mettez la durée estimée ici">
                          <span style="font-size: 10px;" class="one-ligne-text">( Jours )</span>
                        </div>
                        <div class="d-flex flex-column justify-content-center align-content-center w-100 my-2">
                          <label for="dovis">Mettez ici une note s'il faut :</label>
                          <textarea name="dovis" id="dovis" class="form-control">{% if repair.dovis %}{{ repair.dovis }}{% endif %}</textarea>
                        </div>

                      </div>
                  </div>
                  <div id="div-notes">
                    <p> Ajouter des notes s'il le faut. </p>
                    <textarea cols="3" rows="5" class="form-control" name="notes" id="notes">{% if repair.notes %}{{ repair.notes }}{% endif %}</textarea>
                  </div>
                  <div id="div-tracking_number">
                    <p>Ajouter le numéro de suivi ici</p>
                    <input type="text" class="form-control" name="tracking_number" id="tracking_number"/>
                  </div>
                  <div id="div-amount">
                    <p>Ajouter le montant total de réparation ici</p>
                    <br>
                    <p class="w-100 text-center">Le montant initial était : {{ repair.first_response_amount }} €</p>
                    <input type="number" value="{{ repair.first_response_amount }}" class="form-control" name="amount" id="amount"/>
                  </div>
                </div>
                <div class="w-100 d-flex justify-content-around align-content-center mt-3">
                  <button class="normal-btn rounded px-3 py-2 bg-success text-white text-center">Valider</button>
                  {% if repair.active %}
                  <a href="{% url 'archiving_repair' repair.id 'False' %}" class="normal-link rounded px-3 py-2 bg-info text-white text-center">Archiver </a>
                  {% else %}
                  <a href="{% url 'archiving_repair' repair.id 'True' %}" class="normal-link rounded px-3 py-2 bg-info text-white text-center">Désarchiver</a>
                  {% endif %}
                  <a href="{% url 'delete_repair' repair.id %}" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Supprimer</a>
                </div>
              </form>
            </div>
          </article>
        </section>
      {% endif %}
    </section>


    <div id="follow-repair" class="mt-2 mb-2">
      <p>Avancement de la réparation</p>
      <div class="stap-container" id="repairStatus"  data-status="{{ repair.status }}" data-finished="{% if repair.finished %}1{% else %}0{% endif %}">
        <div class="stap" data-stap="1"><span>1) En cours de validation</span></div>
        <div class="stap" data-stap="2"><span>2) Validée</span></div>
        <div class="stap" data-stap="3"><span>3) Colis envoyé par le client</span></div>
        <div class="stap" data-stap="4"><span>4) Colis reçu</span></div>
        <div class="stap" data-stap="5"><span>5) En cours de réparation</span></div>
        <div class="stap" data-stap="6"><span>6) Réparé</span></div>
        <div class="stap" data-stap="7"><span>7) Montant réglé</span></div>
        <div class="stap" data-stap="8"><span>8) Colis renvoyé</span></div>
        <div class="d-none"></div>
      </div>
    </div>


  </div>
  {% if not repair.images.all.count == 0 %}
  <div class="my-repair-main">
    <div class="my-repair-aside">
      {% for image in repair.images.all %}
      <img
        class="all-images"
        src="../../../media/{{ image.url }}"
        alt="{{ image.url }}"
      />
      {% endfor %}
    </div>
    <div class="my-repair-center">
      <img
        id="main-image"
        src="../../../media/{{ repair.images.all.0.url }}"
        alt="{{ drone.images.0.url }}"
      />
    </div>
  </div>
  {% endif %}

  <section  class="table-info w-100 d-flex flex-column flex-lg-row mt-5 mb-2 gap-xl-5 gap-2">
    <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <!-- <div onclick="handleRepairSection(this)"  class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <h5 class="text-center fw-bold ">{% if repair.user == request.user %}Mes informations personnelles{% else %}Informations personnelles de client{% endif %}</h5>
        <button type="button"class="normal-btn"><i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i></button>
      </div> -->
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations personnelles</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0 revirse"
          alt="icon"
        />
      </div>
        <article>
          <div>
            <span class="fw-bold">Nom :</span><br>
            <span class="color-gray">{{ repair.user.get_last_name }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Prénom :</span><br>
            <span class="color-gray">{{ repair.user.get_first_name }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Email :</span><br>
            <!-- <span class="color-gray">{{ repair.user.email }}</span><br> -->
            <form action="{% url 'send_mail_to_client' %}" method="POST" class="mb-1">
              {% csrf_token %}
              <input
                type="hidden"
                name="email"
                value="{{ repair.user.email }}"
              />
              <button type="submit" class="fake-link"><i class="fa-solid fa-envelope"></i> {{ repair.user.email }}</button>
            </form>
          </div>
          <div>
            <span class="fw-bold">Téléphone :</span><br>
            <a class="normal-link text-primary" href="tel:{{ repair.user.phone }}"><i class="fa-solid fa-phone"></i> {{ repair.user.phone }}</a>
          </div>
          <div>
            <span class="fw-bold">Adresse :</span><br>
            <span class="color-gray">{{ repair.user.address.get_address }}</span><br>
          </div>
        </article>
    </section>
    <section id="article" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <!-- <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <h5 class="text-center fw-bold ">Informations de la demande</h5>
        <button type="button" class="normal-btn"> <i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i> </button>
      </div> -->
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations de la demande</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0 revirse"
          alt="icon"
        />
      </div>
      <article>
        {% if repair.name %}
        <div id="article-name">
          <span class="fw-bold">Nom d'article :</span><br>
          <span class="color-gray">{{ repair.name }}</span><br>
        </div>
        {% endif %}
        {% if repair.company %}
          <div id="article-company">
            <span class="fw-bold">Marque :</span><br>
            <span class="color-gray">{{ repair.company.name }}</span><br>
          </div>
          {% endif %}
        <div>
          <span class="fw-bold">Numéro de la demande :</span><br>
          <span class="color-gray">{{ repair.repair_number }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Numéro de série :</span><br>
          <span class="color-gray">{{ repair.drone_siret }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Statut :</span><br>
          <span class="color-gray">{{ repair.get_franch_phrase }}</span><br>
        </div>
        <div>
          {% if repair.status == 9 %}
          <span class="fw-bold">Raison du refus :</span><br>
          <span class="color-gray">{{ repair.refused_reasion|linebreaks }}</span><br>
        </div>
        {% endif %}
        <div>
          <span class="fw-bold">Date de la demande :</span><br>
          <span class="color-gray">Le {{ repair.created }}.<br> Il y a {{ repair.created|timesince }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Détails des problèmes :</span><br>
          <span class="color-gray">{{ repair.drone_damages|linebreaks }}</span>
        </div>
        {% if repair.first_response_amount %}
        <div>
          <span class="fw-bold">Estimation de coûte :</span><br>
          <span class="color-gray">{{ repair.first_response_amount }} €</span>
        </div>
        {% endif %}{% if repair.first_response_duration %}
        <div>
          <span class="fw-bold">Estimation de durée :</span><br>
          <span class="color-gray">{{ repair.first_response_duration }} Jours</span>
        </div>
        {% endif %} {% if repair.dovis %}
        <div>
          <span class="fw-bold">Dovis :</span><br>
          <span class="color-gray">{{ repair.dovis|linebreaks }}</span>
        </div>
        {% endif %} {% if repair.tracking_number %}
        <div>
          <span class="fw-bold">Numéro de suivi :</span><br>

          <span class="color-gray"><span class="fake-link" onclick='window.open("https://www.laposte.fr/outils/suivre-vos-envois?code={{ repair.tracking_number }}&at_campaign=suivi_colis&at_format=mail_colis", "_blank");'>{{ repair.tracking_number }}</span></span><br>
        </div>
        {% endif %}{% if repair.notes %}
        <div>
          <span class="fw-bold">Notes laissées :</span><br>

          <span class="color-gray">{{ repair.notes }}</span><br>
        </div>
        {% endif %} {% if repair.amount %}
        <div>
          <span class="fw-bold">Montant de réparation :</span><br>
          <span class="color-gray">{{ repair.amount }} €</span><br>
        </div>
        {% endif %}
      </article>
    </section>

  </section>

  <script src="{% static 'assets/js/script.js' %}"></script>
{% if request.user.is_superuser %}
<script>handerRepairInputs();</script>
{% endif %}
<script>
    changeImageFocus();
    createStar();

    handerRepaiStaps();
    setStatus();

    function submitForm(btn) {
      btn.disabled = true;
      btn.innerHTML ='Validation ...'
      const form = btn.parentElement;
      form.submit();
    }


  </script>
</div>

{% endblock main%}
